Account manager scrolled to (dis)connect button

RESOLVED FIXED in 1.4

Status

Instantbird
Account manager
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: clokep, Assigned: aleth)

Tracking

Details

(Whiteboard: [regression][1.4-wanted])

Attachments

(1 attachment, 3 obsolete attachments)

(Reporter)

Description

4 years ago
*** Original post on bio 1909 at 2013-03-26 13:11:00 UTC ***

The account manager is now scrolled to the first (dis)connect button when being opened. I suspect a regression from http://hg.instantbird.org/instantbird/rev/cc4c3682aa17
(Reporter)

Updated

4 years ago
Blocks: 955340
(Reporter)

Updated

4 years ago
Whiteboard: [regression]
(Reporter)

Comment 1

4 years ago
*** Original post on bio 1909 at 2013-04-11 00:27:57 UTC ***

Adding 1.4 wanted as this is a regression.
Whiteboard: [regression] → [regression][1.4-wanted]
(Assignee)

Comment 2

4 years ago
Created attachment 8354136 [details] [diff] [review]
Patch

*** Original post on bio 1909 as attmnt 2369 at 2013-04-16 14:49:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354136 - Flags: review?(florian)
(Reporter)

Comment 3

4 years ago
Comment on attachment 8354136 [details] [diff] [review]
Patch

*** Original change on bio 1909 attmnt 2369 at 2013-04-16 14:55:36 UTC ***

This won't work when selecting an account at the bottom of a long list of accounts.
Attachment #8354136 - Flags: review?(florian) → review-
(Assignee)

Comment 4

4 years ago
Created attachment 8354137 [details] [diff] [review]
Patch

*** Original post on bio 1909 as attmnt 2370 at 2013-04-16 15:01:00 UTC ***

This is better.
Attachment #8354137 - Flags: review?(clokep)
(Assignee)

Comment 5

4 years ago
Comment on attachment 8354136 [details] [diff] [review]
Patch

*** Original change on bio 1909 attmnt 2369 at 2013-04-16 15:01:28 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354136 - Attachment is obsolete: true
(Reporter)

Comment 6

4 years ago
Comment on attachment 8354137 [details] [diff] [review]
Patch

*** Original change on bio 1909 attmnt 2370 at 2013-04-16 15:16:24 UTC ***

r+ with a comment above that line saying what it's necessary.
Attachment #8354137 - Flags: review?(clokep) → review+
(Assignee)

Comment 7

4 years ago
Created attachment 8354138 [details] [diff] [review]
Patch

*** Original post on bio 1909 as attmnt 2371 at 2013-04-16 15:20:00 UTC ***

Added comment.
Attachment #8354138 - Flags: review?(clokep)
(Assignee)

Comment 8

4 years ago
Comment on attachment 8354137 [details] [diff] [review]
Patch

*** Original change on bio 1909 attmnt 2370 at 2013-04-16 15:20:23 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354137 - Attachment is obsolete: true
(Reporter)

Comment 9

4 years ago
Comment on attachment 8354138 [details] [diff] [review]
Patch

*** Original change on bio 1909 attmnt 2371 at 2013-04-16 15:21:17 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354138 - Flags: review?(clokep) → review+
(Reporter)

Comment 10

4 years ago
*** Original post on bio 1909 at 2013-04-16 15:23:31 UTC ***

Assigning.
Assignee: nobody → aleth
Status: NEW → ASSIGNED
Whiteboard: [regression][1.4-wanted] → [regression][1.4-wanted][checkin-needed]
*** Original post on bio 1909 at 2013-04-16 21:41:32 UTC ***

19:05:04 - flo-retina: clokep_work: doesn't http://lxr.instantbird.org/instantbird/source/instantbird/content/accounts.js#379 look like it would like to be removed, if we are doing the same thing in the onSelect handler?
19:05:21 - clokep_work: flo-retina: Probably.
(Assignee)

Comment 12

4 years ago
Created attachment 8354145 [details] [diff] [review]
Patch

*** Original post on bio 1909 as attmnt 2378 at 2013-04-17 11:03:00 UTC ***

Good catch.
Attachment #8354145 - Flags: review?(clokep)
(Assignee)

Comment 13

4 years ago
Comment on attachment 8354138 [details] [diff] [review]
Patch

*** Original change on bio 1909 attmnt 2371 at 2013-04-17 11:03:21 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354138 - Attachment is obsolete: true
(Reporter)

Comment 14

4 years ago
Comment on attachment 8354145 [details] [diff] [review]
Patch

*** Original change on bio 1909 attmnt 2378 at 2013-04-17 11:53:42 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354145 - Flags: review?(clokep) → review+
(Reporter)

Comment 15

4 years ago
*** Original post on bio 1909 at 2013-04-17 23:01:13 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/1f5be76c8a1d

Thanks!
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Whiteboard: [regression][1.4-wanted][checkin-needed] → [regression][1.4-wanted]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.